FruxonDocs
ApiCollection pipelines

Lists collection pipeline revisions.

Returns immutable published snapshots for one pipeline, newest version first. Use this to show release history or choose a target revision for rollback.

GET
/v1/tenants/{tenant}/collectionPipelines/{collectionPipeline}/revisions
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

collectionPipeline*string

The unique identifier of the pipeline.

Formatuuid
tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/collectionPipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "tenantId": "00000000-0000-0000-0000-000000000000",
      "pipelineId": "00000000-0000-0000-0000-000000000000",
      "version": 0,
      "source": {
        "kind": "UNSPECIFIED",
        "ragAssetId": "string",
        "ragReadMode": "UNSPECIFIED",
        "ragSearch": "string",
        "pageSize": null,
        "integrationConfigId": "string",
        "listToolId": "string",
        "getToolId": "string",
        "recordsPath": "string",
        "cursorParamName": "string",
        "parameters": {},
        "itemIdPath": "string",
        "sinkTargetPath": "string",
        "skipWhen": null,
        "sourceUrlPath": "string",
        "flattenSheetRows": false
      },
      "sourceRefs": [],
      "defaultSourceId": "00000000-0000-0000-0000-000000000000",
      "inputMapping": {
        "userQuery": "string",
        "parameters": {},
        "attachmentUrlPath": "string"
      },
      "outputSchema": [],
      "sink": {
        "sinks": []
      },
      "runPolicy": {
        "maxItems": null,
        "maxConcurrency": 0,
        "perRunBudgetCap": null,
        "dedupKeyPath": "string",
        "onItemError": "UNSPECIFIED",
        "actionTypeCeiling": "UNSPECIFIED"
      },
      "agentId": "string",
      "runnableId": "string",
      "runnableType": "AGENT",
      "agentRevision": "string",
      "runnableRevision": "string",
      "note": "string",
      "createdBy": "string",
      "createdAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}